From 4.* to 5.0
================

### 1) Update composer.json

Example https://github.com/skeeks-cms/app-shop/blob/master/composer.json
```
{
    "minimum-stability" : "dev",
    "prefer-stable" : true,
    "scripts": {
        "post-create-project-cmd": [
            "yii\\composer\\Installer::postCreateProject",
            "yii\\composer\\Installer::postInstall"
        ],
        "post-install-cmd": [
            "yii\\composer\\Installer::postInstall"
        ],
        "post-update-cmd": [
            "skeeks\\cms\\composer\\Installer::clearDirs",
            "php yii cms/migrate --interactive=0",
            "skeeks\\cms\\composer\\Installer::clearDirs",
            "php yii rbac/init",
            "php yii cmsAgent/init"
        ]
    },
    "extra": {
        "yii\\composer\\Installer::postCreateProject": {
            "setPermission": [
                {
                    "console/runtime": "0777",
                    "common/runtime": "0777",
                    "frontend/runtime": "0777",
                    "frontend/web/assets": "0777",
                    "yii": "0755"
                }
            ]
        },
        "yii\\composer\\Installer::postInstall": {
            "generateCookieValidationKey": [
                "frontend/config/main.php"
            ]
        },
        "skeeks\\cms\\composer\\Installer::clearDirs": {
            "dirs": [
                "console/runtime/cache",
                "frontend/runtime/cache",
                "frontend/web/assets"
            ]
        },
        "config-plugin": {
            "web": [
                "common/config/main.php",
                "common/config/db.php",
                "frontend/config/main.php"
            ],
            "web-dev": [
                "$web",
                "?frontend/config/env/dev/main.php"
            ],
            "web-prod": [
                "$web",
                "?frontend/config/env/prod/main.php"
            ],
            "console": [
                "common/config/main.php",
                "common/config/db.php",
                "console/config/main.php"
            ],
            "console-dev": [
                "$console",
                "?console/config/env/dev/main.php"
            ],
            "console-prod": [
                "$console",
                "?console/config/env/prod/main.php"
            ]
        }
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    ],
    "config": {
        "process-timeout": 1800,
        "discard-changes": true
    }
}
```


### 2) Update common/config/db.php

```php

return
[
    'components'    => [
        'db' => [
            'class' => 'yii\db\Connection',
            'dsn' => 'mysql:host=localhost;dbname=dbname',
            'username' => 'db',
            'password' => 'pwd',
            'charset' => 'utf8',
            'enableSchemaCache' => true,
            'schemaCacheDuration' => 3600,
        ]
    ]
];
```

### 3) Try to connect the basic assemblies

https://github.com/skeeks-cms/cms-basic/blob/master/composer.json

https://github.com/skeeks-cms/cms-basic-shop/blob/master/composer.json


### 4) Composer update

```php
COMPOSER_HOME=.composer php composer.phar self-update && COMPOSER_HOME=.composer php composer.phar update -o
```


### 5) Cms toolbar is updated

\Yii::$app->cmsToolbar->editUrl - removed!
___

> [![skeeks!](https://gravatar.com/userimage/74431132/13d04d83218593564422770b616e5622.jpg)](https://skeeks.com)  
<i>SkeekS CMS (Yii2) — quickly, easily and effectively!</i>  
[skeeks.com](https://skeeks.com) | [cms.skeeks.com](https://cms.skeeks.com)

